Loading...
Searching...
No Matches
EclSolidEnergyLawMultiplexerParams.hpp File Reference

The default implementation of a parameter object for the ECL thermal law. More...

`#include "EclHeatcrLawParams.hpp"`
`#include "EclSpecrockLawParams.hpp"`
`#include <opm/material/common/EnsureFinalized.hpp>`
`#include <cassert>`
`#include <stdexcept>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

class | Opm::EclSolidEnergyLawMultiplexerParams< ScalarT >
| The default implementation of a parameter object for the ECL thermal law. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Enumerations

enum class | EclSolidEnergyApproach { Undefined , Heatcr , Specrock , Null }

## Detailed Description

The default implementation of a parameter object for the ECL thermal law.